Retrieves an Embedded Flow configuration by embedded link request ID. Typically this is not needed to be called as its used by the flow itself.
Embedded Flows uses this endpoint to load the configuration for a previously created link request. For an example flow, see the Embedded Flows guide.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/2026Q3/embedded-flows/link-requests/{embeddedLinkRequestId}
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/embedded-flows/link-requests/{embeddedLinkRequestId}
curl -i -X GET \
https://api.wise.com/2026Q3/embedded-flows/link-requests/ea5eb6ca-3af7-4e88-a2e2-6a68dd92f198 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Embedded link request found.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Client key that created the embedded link request.
Example:"partner-client-key"
Response
{ "id": "ea5eb6ca-3af7-4e88-a2e2-6a68dd92f198", "profileId": 12345, "type": "RECIPIENT", "clientKey": "partner-client-key", "metadata": { "targetCurrency": "USD" }, "redirectUrl": "https://example.com/return" }